package de.ozgcloud.nachrichten.postfach.muk;

import org.springframework.stereotype.Component;

import de.ozgcloud.apilib.common.callcontext.CallContext;
import de.ozgcloud.apilib.common.callcontext.OzgCloudCallContextProvider;
import lombok.RequiredArgsConstructor;

@Component
@RequiredArgsConstructor
class MukPostfachCallContextProvider implements OzgCloudCallContextProvider {

	@Override
	public CallContext provideContext() {
		return CallContext.builder().clientName(MukPostfachConfiguration.MUK_POSTFACH_CLIENT_NAME).build();
	}
}